Bug 863932 - Change in username causes unexpected error
Change in username causes unexpected error
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
development
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 02:19 EDT by Alex Eng
Modified: 2012-11-07 01:19 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121018-1109)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:19:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Eng 2012-10-08 02:19:37 EDT
Description of problem:
When attempt to change username and save, unexpected error occurs.

Version-Release number of selected component (if applicable):
2.0
http://zanata-master-internal.lab.eng.bne.redhat.com:8080/profile/edit


How reproducible:
Always

Steps to Reproduce:
1. Login, go to "My Profile" page
2. Click Edit profile, change your username and click save
  
Actual results:
Unexpected error page displayed.


Expected results:
Username updated


Additional info:
Comment 1 Carlos Munoz 2012-10-08 20:27:15 EDT
Removed the ability to edit user name (same as previous version). 

Also corrected a bug that was preventing Open Id users from changing their internal passwords (in dual authentication scheme instances) for the first time.

See:

https://github.com/zanata/zanata/commit/d062232acb3f84919932b7e77e54680c71a9d798
Comment 2 Ding-Yi Chen 2012-10-17 21:53:55 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121018-1109).
Comment 3 Sean Flanigan 2012-11-07 01:19:26 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.